<?php
namespace Hanyuu\Config;

interface IConfig {
    public const T_ANY = '';
    public const T_STR = 'string';
    public const T_INT = 'integer';
    public const T_BOOL = 'boolean';
    public const T_ARR = 'array';

    public function scopeTo(string $prefix): IConfig;
    public function getValue(string $name, string $type = IConfig::T_ANY, $default = null): mixed;
    public function hasValue(string $name): bool;
}
